import { QueryComparisonOptions, QueryFilterMap, QueryOptions, QueryFilterFieldOperatorMap, Type, FieldKey, Scalar } from 'nukak/type';
import { AbstractSqlDialect } from 'nukak/dialect';
export declare class PostgresDialect extends AbstractSqlDialect {
    constructor();
    insert<E>(entity: Type<E>, payload: E | E[]): string;
    compare<E, K extends keyof QueryFilterMap<E>>(entity: Type<E>, key: K, val: QueryFilterMap<E>[K], opts?: QueryComparisonOptions): string;
    compareFieldOperator<E, K extends keyof QueryFilterFieldOperatorMap<E>>(entity: Type<E>, key: FieldKey<E>, op: K, val: QueryFilterFieldOperatorMap<E>[K], opts?: QueryOptions): string;
    escape(value: any): Scalar;
}
